"""Add EmailVerification.is_password_reset to use for password reset.

Revision ID: 07087d39818d
Revises: 619b47008574
Create Date: 2018-12-30 21:06:35.308272

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import table, column


# revision identifiers, used by Alembic.
revision = '07087d39818d'
down_revision = '619b47008574'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        'email_verification',
        sa.Column('is_password_reset', sa.Boolean(), nullable=True))
    email_verification = table(
        'email_verification', column('is_password_reset'))
    op.execute(email_verification.update().values(is_password_reset=False))
    op.alter_column('email_verification', 'is_password_reset', nullable=False)


def downgrade():
    op.drop_column('email_verification', 'is_password_reset')
