"""Add Role and UserRole models with tests.

Revision ID: 372e5391819c
Revises: a675e3e93d20
Create Date: 2018-12-21 14:12:29.993640

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '372e5391819c'
down_revision = 'a675e3e93d20'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'role',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('name', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_table(
        'user_role',
        sa.Column('user_id', sa.Integer(), nullable=False),
        sa.Column('role_id', sa.Integer(), nullable=False),
        sa.Column('added', sa.DateTime(), nullable=True),
        sa.ForeignKeyConstraint(['role_id'], ['role.id'], ),
        sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
        sa.PrimaryKeyConstraint('user_id', 'role_id', name='user_role_pkey')
    )


def downgrade():
    op.drop_table('user_role')
    op.drop_table('role')
