"""
Introduce EmailVerification.is_email_change to indicate if this verification
is for email change as opposed to new account registration.

Revision ID: 619b47008574
Revises: 53e6dcd4d1d3
Create Date: 2018-12-28 18:57:43.331450

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import table, column


# revision identifiers, used by Alembic.
revision = '619b47008574'
down_revision = '53e6dcd4d1d3'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        'email_verification',
        sa.Column('is_email_change', sa.Boolean(), nullable=True))
    email_verification = table('email_verification', column('is_email_change'))
    op.execute(email_verification.update().values(is_email_change=False))
    op.alter_column('email_verification', 'is_email_change', nullable=False)

def downgrade():
    op.drop_column('email_verification', 'is_email_change')
