"""Add EmailVerification table.

Revision ID: a675e3e93d20
Revises: 7520ecf4a089
Create Date: 2018-12-20 21:32:04.952505

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a675e3e93d20'
down_revision = '7520ecf4a089'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'email_verification',
        sa.Column('user_id', sa.Integer(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('token', sa.String(length=32), nullable=False),
        sa.Column('expires', sa.DateTime(), nullable=True),
        sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
        sa.PrimaryKeyConstraint('user_id', 'email')
    )


def downgrade():
    op.drop_table('email_verification')
