import os
from setuptools import setup, find_packages


DESCRIPTION = ("""
A simple user management microservice providing REST API based on JWT
token hand-offs.

Provides users with passwords, verified email addresses and roles, and
maintains a set of JWT tokens.
""")


setup(
    name="calorify_users",
    version="0.0.1",
    author="Danilo Šegan",
    author_email="danilo@kvota.net",
    description="Simple user-management microservice.",
    license="AGPLv3",
    keywords="user management ACL REST",
    url="http://kvota.net/hacks/calorify_users",
    packages=find_packages("src"),
    package_dir={"": "src"},
    long_description=DESCRIPTION,
    install_requires=["aiohttp",
                      "aiohttp-swagger",
                      "aiosmtplib",
                      "alembic",
                      "psycopg2",
                      "SQLAlchemy",
                      "validate-email",
                      "PyJWT"],
    tests_require=["SQLAlchemy-Utils",
                   "pytest-aiohttp",
                   "pytest-cov",
                   "pytest-xdist",
                   "pytest"],
    setup_requires=["pytest-runner"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "License :: OSI Approved :: GNU Affero General Public License v3",
    ],
)
