"""Helpers used in a few places."""

import idna
import re

from validate_email import VALID_ADDRESS_REGEXP


def validate_email(value):
    assert "@" in value, "E-mail address must contain an '@' character."

    local_part, domain = value.split("@")
    try:
        domain = idna.encode(domain).decode("ascii")
    except idna.core.InvalidCodepoint:
        assert False, "Invalid e-mail address."
    email = "@".join((local_part, domain))
    assert re.match(VALID_ADDRESS_REGEXP, email), "Invalid e-mail address."
    return value
