from sqlalchemy import (
    Column,
    Integer,
    String,
)
from sqlalchemy.orm import validates

from calorify_users.model import Base


class Role(Base):
    __tablename__ = "role"

    id = Column(Integer(), primary_key=True)
    name = Column(String(), nullable=False)

    @validates("name")
    def role_name_validator(self, key, value):
        assert len(value) > 1, "Role names must be at least 2 characters long."
        return value
