import pytest

from calorify_users.model.role import Role


class TestRole:

    def test_new_role(self, testdb_session):
        """A new Role record can be added."""
        new_role = Role(name="admin")
        testdb_session.add(new_role)
        testdb_session.flush()

        assert new_role.id is not None, "New role did not get an ID assigned."

    def test_new_role_minimum_length(self, testdb_session):
        """Role name must be at least two characters long."""
        minimum_length = "Role names must be at least 2 characters long."
        with pytest.raises(AssertionError) as error:
            Role(name="a")
        assert str(error.value) == minimum_length, (
            "Failed for a wrong reason.")
