import datetime


from sqlalchemy import (
    Column,
    DateTime,
    ForeignKey,
    Integer,
    PrimaryKeyConstraint,
)

from calorify_users.model import Base


class UserRole(Base):
    __tablename__ = "user_role"
    __table_args__ = (
        PrimaryKeyConstraint("user_id", "role_id", name="user_role_pkey"),
    )

    user_id = Column(Integer(), ForeignKey("user.id"))
    role_id = Column(Integer(), ForeignKey("role.id"))

    added = Column(DateTime(), default=datetime.datetime.now)
